/*******************************************************************

Copyright (c) 2004 Open Mobile Alliance, Ltd.  All Rights Reserved.

This software is made available under the usage and distribution terms 
covered by the Common Public License 1.0 and by using this software you
are bound by the terms and conditions of the same.

EXCEPT AS EXPRESSLY SET FORTH IN THE COMMON PUBLIC LICENSE,
THIS PROGRAM IS PROVIDED ON AN "AS IS" BASIS, 
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, 
ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, 
MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
   
Each recipient is solely responsible for determining the 
appropriateness of using and distributing this program and assumes 
all risks associated with its exercise of rights under the Common 
Public License, including but not limited to the risks and 
costs of program errors, compliance with applicable laws, 
damage to or loss of data, programs or equipment, and 
unavailability or interruption of operations.

********************************************************************/
#if !defined(AFX_COMMANDSPANE_H__9CD25EE9_0508_48A8_B7A5_D7BB5CD3B61A__INCLUDED_)
#define AFX_COMMANDSPANE_H__9CD25EE9_0508_48A8_B7A5_D7BB5CD3B61A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CommandsPane.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CCommandsPane dialog
#include "SctsDevManT&D.h"

class CCommandsPane : public CDialog
{
// Construction
public:
	CCommandsPane(SctsDMServerTree *_tree,CWnd* pParent = NULL);   // standard constructor
	SctsDMServerTree *tree;
	CImageList imgList;
	HTREEITEM firstSel;
	HTREEITEM lastSel;
	void InsertUIA(bool after);
	void InsertContainer(SctsCommandType commandType);
	void Refresh();

// Dialog Data
	//{{AFX_DATA(CCommandsPane)
	enum { IDD = IDD_COMMANDSPANE };
	CTreeCtrl	m_commands;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCommandsPane)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CCommandsPane)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangedCommands(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnCmdatomic();
	afx_msg void OnCmdsequence();
	afx_msg void OnCmddelete();
	afx_msg void OnSelchangingCommands(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnCommandsUiaafter();
	afx_msg void OnCommandsUiabefore();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COMMANDSPANE_H__9CD25EE9_0508_48A8_B7A5_D7BB5CD3B61A__INCLUDED_)
